import type { FetchResponse, ParseAsResponse } from 'openapi-fetch';
import type { MediaType, ResponseObjectMap, SuccessResponse } from 'openapi-typescript-helpers';
/**
 * Transform a response from the API
 * @param resp - The response to transform
 * @throws HTTPError if the response is an error
 * @returns The transformed response
 */
export declare function transformResponse<T extends Record<string | number, unknown>, Options, Media extends MediaType>(resp: FetchResponse<T, Options, Media>): ParseAsResponse<SuccessResponse<ResponseObjectMap<T>, Media>, Options> | undefined | never;
export declare function isIsoDateString(value: unknown): value is string;
export declare function decodeDates<T>(data: T): T;
export declare function encodeDates<T>(data: T): T;
